/*
 * test
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "test.h"
#include "test_dbus_interface.h"

// /

// /Org

// /Org/Tizen

// /Org/Tizen/System

// /Org/Tizen/System/DeviceD

// /Org/Tizen/System/DeviceD/Tzip
// org.tizen.system.deviced.Tzip

// IsMounted : in s, out i

gint test_deviced_Tzip_IsMounted(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Tzip",
			"org.tizen.system.deviced.Tzip",
			"IsMounted",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed IsMounted");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// UnmountSync : in s, out i

gint test_deviced_Tzip_UnmountSync(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Tzip",
			"org.tizen.system.deviced.Tzip",
			"UnmountSync",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed UnmountSync");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// MountSync : in sss, out i

gint test_deviced_Tzip_MountSync(const gchar *param1, const gchar *param2, const gchar *param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Tzip",
			"org.tizen.system.deviced.Tzip",
			"MountSync",
			g_variant_new("(sss)", param1, param2, param3));;
	if (!ret) {
		_E("failed MountSync");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Unmount : in s, out i

gint test_deviced_Tzip_Unmount(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Tzip",
			"org.tizen.system.deviced.Tzip",
			"Unmount",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed Unmount");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Mount : in sss, out i

gint test_deviced_Tzip_Mount(const gchar *param1, const gchar *param2, const gchar *param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Tzip",
			"org.tizen.system.deviced.Tzip",
			"Mount",
			g_variant_new("(sss)", param1, param2, param3));;
	if (!ret) {
		_E("failed Mount");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/ExtCon
// org.tizen.system.deviced.ExtCon

// disable : in s, out i

gint test_deviced_ExtCon_disable(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/ExtCon",
			"org.tizen.system.deviced.ExtCon",
			"disable",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed disable");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// enable : in s, out i

gint test_deviced_ExtCon_enable(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/ExtCon",
			"org.tizen.system.deviced.ExtCon",
			"enable",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed enable");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetStatus : in s, out i

gint test_deviced_ExtCon_GetStatus(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/ExtCon",
			"org.tizen.system.deviced.ExtCon",
			"GetStatus",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed GetStatus");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/UsbHostTest
// org.tizen.system.deviced.UsbHostTest

// stop : in , out

void test_deviced_UsbHostTest_stop(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/UsbHostTest",
			"org.tizen.system.deviced.UsbHostTest",
			"stop",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// start : in , out

void test_deviced_UsbHostTest_start(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/UsbHostTest",
			"org.tizen.system.deviced.UsbHostTest",
			"start",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// /Org/Tizen/System/DeviceD/LowPower
// org.tizen.system.deviced.lowpower

// GetState : in , out i

gint test_deviced_lowpower_GetState(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/LowPower",
			"org.tizen.system.deviced.lowpower",
			"GetState",
			NULL);;
	if (!ret) {
		_E("failed GetState");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Stop : in , out i

gint test_deviced_lowpower_Stop(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/LowPower",
			"org.tizen.system.deviced.lowpower",
			"Stop",
			NULL);;
	if (!ret) {
		_E("failed Stop");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Start : in , out i

gint test_deviced_lowpower_Start(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/LowPower",
			"org.tizen.system.deviced.lowpower",
			"Start",
			NULL);;
	if (!ret) {
		_E("failed Start");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/Ir
// org.tizen.system.deviced.ir

// TransmitIR : in ai, out i

gint test_deviced_ir_TransmitIR(gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Ir",
			"org.tizen.system.deviced.ir",
			"TransmitIR",
			g_variant_new("(ai)", param2));;
	if (!ret) {
		_E("failed TransmitIR");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// IRIsAvailable : in , out i

gint test_deviced_ir_IRIsAvailable(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Ir",
			"org.tizen.system.deviced.ir",
			"IRIsAvailable",
			NULL);;
	if (!ret) {
		_E("failed IRIsAvailable");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/PowerOff
// org.tizen.system.deviced.PowerOff

// RemovePowerOffWait : in , out i

gint test_deviced_PowerOff_RemovePowerOffWait(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PowerOff",
			"org.tizen.system.deviced.PowerOff",
			"RemovePowerOffWait",
			NULL);;
	if (!ret) {
		_E("failed RemovePowerOffWait");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// AddPowerOffWait : in , out i

gint test_deviced_PowerOff_AddPowerOffWait(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PowerOff",
			"org.tizen.system.deviced.PowerOff",
			"AddPowerOffWait",
			NULL);;
	if (!ret) {
		_E("failed AddPowerOffWait");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerOffWithOption : in ss, out i

gint test_deviced_PowerOff_PowerOffWithOption(const gchar *param1, const gchar *param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PowerOff",
			"org.tizen.system.deviced.PowerOff",
			"PowerOffWithOption",
			g_variant_new("(ss)", param1, param2));;
	if (!ret) {
		_E("failed PowerOffWithOption");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerOff : in s, out i

gint test_deviced_PowerOff_PowerOff(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PowerOff",
			"org.tizen.system.deviced.PowerOff",
			"PowerOff",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed PowerOff");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/Battery
// org.tizen.system.deviced.Battery

// MiscEvent : in , out i

gint test_deviced_Battery_MiscEvent(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"MiscEvent",
			NULL);;
	if (!ret) {
		_E("failed MiscEvent");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BatteryProperties : in , out iiiiii

GVariant * test_deviced_Battery_BatteryProperties(void)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"BatteryProperties",
			NULL);
}

// ChargerCharging : in i, out i

gint test_deviced_Battery_ChargerCharging(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"ChargerCharging",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ChargerCharging");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ChargerType : in , out i

gint test_deviced_Battery_ChargerType(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"ChargerType",
			NULL);;
	if (!ret) {
		_E("failed ChargerType");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetBatteryInfo : in , out isssiiiiiiii

GVariant * test_deviced_Battery_GetBatteryInfo(void)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"GetBatteryInfo",
			NULL);
}

// power_supply : in sissssss, out i

gint test_deviced_Battery_power_supply(const gchar *param1, gint param2, const gchar *param3, const gchar *param4, const gchar *param5, const gchar *param6, const gchar *param7, const gchar *param8)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"power_supply",
			g_variant_new("(sissssss)", param1, param2, param3, param4, param5, param6, param7, param8));;
	if (!ret) {
		_E("failed power_supply");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetHealth : in , out s

gchar * test_deviced_Battery_GetHealth(void)
{
	gchar *val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"GetHealth",
			NULL);;
	if (!ret) {
		_E("failed GetHealth");
		return 0;
	}

	g_variant_get(ret, "(s)", &val1);
	g_variant_unref(ret);

	return val1;
}

// IsFull : in , out i

gint test_deviced_Battery_IsFull(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"IsFull",
			NULL);;
	if (!ret) {
		_E("failed IsFull");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetPercentRaw : in , out i

gint test_deviced_Battery_GetPercentRaw(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"GetPercentRaw",
			NULL);;
	if (!ret) {
		_E("failed GetPercentRaw");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetPercent : in , out i

gint test_deviced_Battery_GetPercent(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"GetPercent",
			NULL);;
	if (!ret) {
		_E("failed GetPercent");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BatteryStatusLow : in , out i

gint test_deviced_Battery_BatteryStatusLow(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"BatteryStatusLow",
			NULL);;
	if (!ret) {
		_E("failed BatteryStatusLow");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ChargeNow : in , out i

gint test_deviced_Battery_ChargeNow(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"ChargeNow",
			NULL);;
	if (!ret) {
		_E("failed ChargeNow");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ChargerStatus : in , out i

gint test_deviced_Battery_ChargerStatus(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"ChargerStatus",
			NULL);;
	if (!ret) {
		_E("failed ChargerStatus");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetLowbatLevel : in , out i

gint test_deviced_Battery_GetLowbatLevel(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"GetLowbatLevel",
			NULL);;
	if (!ret) {
		_E("failed GetLowbatLevel");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SetLowbatLevel : in i, out i

gint test_deviced_Battery_SetLowbatLevel(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"SetLowbatLevel",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed SetLowbatLevel");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// TimeToEmpty : in , out i

gint test_deviced_Battery_TimeToEmpty(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"TimeToEmpty",
			NULL);;
	if (!ret) {
		_E("failed TimeToEmpty");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// TimeToFull : in , out i

gint test_deviced_Battery_TimeToFull(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Battery",
			"org.tizen.system.deviced.Battery",
			"TimeToFull",
			NULL);;
	if (!ret) {
		_E("failed TimeToFull");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/Temperature
// org.tizen.system.deviced.temperature

// GetTemperature : in i, out i

gint test_deviced_temperature_GetTemperature(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Temperature",
			"org.tizen.system.deviced.temperature",
			"GetTemperature",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GetTemperature");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/BatteryMonitor
// org.tizen.system.deviced.BatteryMonitor

// GetBMData : in , out a(uuuxxa(su))

GVariant * test_deviced_BatteryMonitor_GetBMData(void)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/BatteryMonitor",
			"org.tizen.system.deviced.BatteryMonitor",
			"GetBMData",
			NULL);
}

// /Org/Tizen/System/DeviceD/Core
// org.tizen.system.deviced.core

// DeviceList : in , out

void test_deviced_core_DeviceList(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Core",
			"org.tizen.system.deviced.core",
			"DeviceList",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// /Org/Tizen/System/DeviceD/Usbhost
// org.tizen.system.deviced.Usbhost

// OpenDevice : in s, out ih

GVariant * test_deviced_Usbhost_OpenDevice(const gchar *param1)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usbhost",
			"org.tizen.system.deviced.Usbhost",
			"OpenDevice",
			g_variant_new("(s)", param1));
}

// GetDeviceListCount : in i, out i

gint test_deviced_Usbhost_GetDeviceListCount(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usbhost",
			"org.tizen.system.deviced.Usbhost",
			"GetDeviceListCount",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GetDeviceListCount");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetDeviceList : in i, out a(siiiiisss)

GVariant * test_deviced_Usbhost_GetDeviceList(gint param1)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usbhost",
			"org.tizen.system.deviced.Usbhost",
			"GetDeviceList",
			g_variant_new("(i)", param1));
}

// PrintPolicy : in , out

void test_deviced_Usbhost_PrintPolicy(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usbhost",
			"org.tizen.system.deviced.Usbhost",
			"PrintPolicy",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// PrintDeviceList : in , out

void test_deviced_Usbhost_PrintDeviceList(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usbhost",
			"org.tizen.system.deviced.Usbhost",
			"PrintDeviceList",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// /Org/Tizen/System/DeviceD/Usb
// org.tizen.system.deviced.Usb

// GetMode : in , out u

guint test_deviced_Usb_GetMode(void)
{
	guint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usb",
			"org.tizen.system.deviced.Usb",
			"GetMode",
			NULL);;
	if (!ret) {
		_E("failed GetMode");
		return 0;
	}

	g_variant_get(ret, "(u)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetState : in , out u

guint test_deviced_Usb_GetState(void)
{
	guint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Usb",
			"org.tizen.system.deviced.Usb",
			"GetState",
			NULL);;
	if (!ret) {
		_E("failed GetState");
		return 0;
	}

	g_variant_get(ret, "(u)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/SysNoti
// org.tizen.system.deviced.SysNoti

// GetHDMI : in , out i

gint test_deviced_SysNoti_GetHDMI(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"GetHDMI",
			NULL);;
	if (!ret) {
		_E("failed GetHDMI");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetCradle : in , out i

gint test_deviced_SysNoti_GetCradle(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"GetCradle",
			NULL);;
	if (!ret) {
		_E("failed GetCradle");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// set_timezone : in sis, out i

gint test_deviced_SysNoti_set_timezone(const gchar *param1, gint param2, const gchar *param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"set_timezone",
			g_variant_new("(sis)", param1, param2, param3));;
	if (!ret) {
		_E("failed set_timezone");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// set_datetime : in sis, out i

gint test_deviced_SysNoti_set_datetime(const gchar *param1, gint param2, const gchar *param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"set_datetime",
			g_variant_new("(sis)", param1, param2, param3));;
	if (!ret) {
		_E("failed set_datetime");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetRevision : in , out i

gint test_deviced_SysNoti_GetRevision(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"GetRevision",
			NULL);;
	if (!ret) {
		_E("failed GetRevision");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// udev : in sis, out i

gint test_deviced_SysNoti_udev(const gchar *param1, gint param2, const gchar *param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"udev",
			g_variant_new("(sis)", param1, param2, param3));;
	if (!ret) {
		_E("failed udev");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// EventStop : in , out i

gint test_deviced_SysNoti_EventStop(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"EventStop",
			NULL);;
	if (!ret) {
		_E("failed EventStop");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// EventStart : in , out i

gint test_deviced_SysNoti_EventStart(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"EventStart",
			NULL);;
	if (!ret) {
		_E("failed EventStart");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// getcontrol : in siss, out i

gint test_deviced_SysNoti_getcontrol(const gchar *param1, gint param2, const gchar *param3, const gchar *param4)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"getcontrol",
			g_variant_new("(siss)", param1, param2, param3, param4));;
	if (!ret) {
		_E("failed getcontrol");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// control : in sisss, out i

gint test_deviced_SysNoti_control(const gchar *param1, gint param2, const gchar *param3, const gchar *param4, const gchar *param5)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/SysNoti",
			"org.tizen.system.deviced.SysNoti",
			"control",
			g_variant_new("(sisss)", param1, param2, param3, param4, param5));;
	if (!ret) {
		_E("failed control");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/Led
// org.tizen.system.deviced.Led

// SetIrCommand : in s, out i

gint test_deviced_Led_SetIrCommand(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Led",
			"org.tizen.system.deviced.Led",
			"SetIrCommand",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed SetIrCommand");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SetBrightness : in ii, out i

gint test_deviced_Led_SetBrightness(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Led",
			"org.tizen.system.deviced.Led",
			"SetBrightness",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed SetBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetMaxBrightness : in , out i

gint test_deviced_Led_GetMaxBrightness(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Led",
			"org.tizen.system.deviced.Led",
			"GetMaxBrightness",
			NULL);;
	if (!ret) {
		_E("failed GetMaxBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetBrightness : in , out i

gint test_deviced_Led_GetBrightness(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Led",
			"org.tizen.system.deviced.Led",
			"GetBrightness",
			NULL);;
	if (!ret) {
		_E("failed GetBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetBrightnessForCamera : in , out i

gint test_deviced_Led_GetBrightnessForCamera(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Led",
			"org.tizen.system.deviced.Led",
			"GetBrightnessForCamera",
			NULL);;
	if (!ret) {
		_E("failed GetBrightnessForCamera");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// /Org/Tizen/System/DeviceD/Display
// org.tizen.system.deviced.display

// LockTimeoutInput : in si, out i

gint test_deviced_display_LockTimeoutInput(const gchar *param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"LockTimeoutInput",
			g_variant_new("(si)", param1, param2));;
	if (!ret) {
		_E("failed LockTimeoutInput");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// LockTimeoutExpired : in s, out i

gint test_deviced_display_LockTimeoutExpired(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"LockTimeoutExpired",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed LockTimeoutExpired");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CurrentBrightness : in i, out i

gint test_deviced_display_CurrentBrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"CurrentBrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CurrentBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CustomBrightness : in , out i

gint test_deviced_display_CustomBrightness(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"CustomBrightness",
			NULL);;
	if (!ret) {
		_E("failed CustomBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ActorControl : in sii, out i

gint test_deviced_display_ActorControl(const gchar *param1, gint param2, gint param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"ActorControl",
			g_variant_new("(sii)", param1, param2, param3));;
	if (!ret) {
		_E("failed ActorControl");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// LCDPanelOffMode : in i, out i

gint test_deviced_display_LCDPanelOffMode(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"LCDPanelOffMode",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed LCDPanelOffMode");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// StayTouchScreenOff : in i, out i

gint test_deviced_display_StayTouchScreenOff(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"StayTouchScreenOff",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed StayTouchScreenOff");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PlatformLCDControl : in isi, out i

gint test_deviced_display_PlatformLCDControl(gint param1, const gchar *param2, gint param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"PlatformLCDControl",
			g_variant_new("(isi)", param1, param2, param3));;
	if (!ret) {
		_E("failed PlatformLCDControl");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CustomLCDOff : in s, out i

gint test_deviced_display_CustomLCDOff(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"CustomLCDOff",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed CustomLCDOff");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CustomLCDOn : in i, out i

gint test_deviced_display_CustomLCDOn(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"CustomLCDOn",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CustomLCDOn");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerKeyLCDOff : in , out i

gint test_deviced_display_PowerKeyLCDOff(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"PowerKeyLCDOff",
			NULL);;
	if (!ret) {
		_E("failed PowerKeyLCDOff");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerKeyIgnore : in i, out i

gint test_deviced_display_PowerKeyIgnore(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"PowerKeyIgnore",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed PowerKeyIgnore");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SaveLog : in , out

void test_deviced_display_SaveLog(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"SaveLog",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// Dumpmode : in s, out i

gint test_deviced_display_Dumpmode(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"Dumpmode",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed Dumpmode");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SetRefreshRate : in ii, out i

gint test_deviced_display_SetRefreshRate(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"SetRefreshRate",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed SetRefreshRate");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ReleaseBrightness : in , out i

gint test_deviced_display_ReleaseBrightness(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"ReleaseBrightness",
			NULL);;
	if (!ret) {
		_E("failed ReleaseBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// HoldBrightness : in i, out i

gint test_deviced_display_HoldBrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"HoldBrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed HoldBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SetBrightness : in ii, out i

gint test_deviced_display_SetBrightness(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"SetBrightness",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed SetBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetBrightness : in i, out i

gint test_deviced_display_GetBrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"GetBrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GetBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SetMaxBrightness : in i, out i

gint test_deviced_display_SetMaxBrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"SetMaxBrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed SetMaxBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetMaxBrightness : in i, out i

gint test_deviced_display_GetMaxBrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"GetMaxBrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GetMaxBrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetDisplayCount : in , out i

gint test_deviced_display_GetDisplayCount(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"GetDisplayCount",
			NULL);;
	if (!ret) {
		_E("failed GetDisplayCount");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// LockScreenBgOn : in s, out i

gint test_deviced_display_LockScreenBgOn(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"LockScreenBgOn",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed LockScreenBgOn");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// setlcdtimeout : in iii, out i

gint test_deviced_display_setlcdtimeout(gint param1, gint param2, gint param3)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"setlcdtimeout",
			g_variant_new("(iii)", param1, param2, param3));;
	if (!ret) {
		_E("failed setlcdtimeout");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// setautobrightnessmin : in i, out i

gint test_deviced_display_setautobrightnessmin(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"setautobrightnessmin",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed setautobrightnessmin");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// setframerate : in ii, out i

gint test_deviced_display_setframerate(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"setframerate",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed setframerate");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// setbrightness : in ii, out i

gint test_deviced_display_setbrightness(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"setbrightness",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed setbrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// getbrightness : in i, out i

gint test_deviced_display_getbrightness(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"getbrightness",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed getbrightness");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ChangeState : in s, out i

gint test_deviced_display_ChangeState(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"ChangeState",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed ChangeState");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// changestate : in s, out i

gint test_deviced_display_changestate(const gchar *param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"changestate",
			g_variant_new("(s)", param1));;
	if (!ret) {
		_E("failed changestate");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// unlockstate : in ss, out i

gint test_deviced_display_unlockstate(const gchar *param1, const gchar *param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"unlockstate",
			g_variant_new("(ss)", param1, param2));;
	if (!ret) {
		_E("failed unlockstate");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// lockstate : in sssi, out i

gint test_deviced_display_lockstate(const gchar *param1, const gchar *param2, const gchar *param3, gint param4)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"lockstate",
			g_variant_new("(sssi)", param1, param2, param3, param4));;
	if (!ret) {
		_E("failed lockstate");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// stop : in , out

void test_deviced_display_stop(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"stop",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// start : in , out

void test_deviced_display_start(void)
{
	GVariant *ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Display",
			"org.tizen.system.deviced.display",
			"start",
			NULL);;
	if (ret)
		g_variant_unref(ret);

}

// /Org/Tizen/System/DeviceD/Board
// org.tizen.system.deviced.Board

// GetNum : in , out si

GVariant * test_deviced_Board_GetNum(void)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Board",
			"org.tizen.system.deviced.Board",
			"GetNum",
			NULL);
}

// GetHWRev : in , out i

gint test_deviced_Board_GetHWRev(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Board",
			"org.tizen.system.deviced.Board",
			"GetHWRev",
			NULL);;
	if (!ret) {
		_E("failed GetHWRev");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetSerial : in , out si

GVariant * test_deviced_Board_GetSerial(void)
{
	return dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/Board",
			"org.tizen.system.deviced.Board",
			"GetSerial",
			NULL);
}

// /Org/Tizen/System/DeviceD/PmQos
// org.tizen.system.deviced.PmQos

// MyfilesScroll : in i, out i

gint test_deviced_PmQos_MyfilesScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"MyfilesScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed MyfilesScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CallLogScroll : in i, out i

gint test_deviced_PmQos_CallLogScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CallLogScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CallLogScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// TizenStoreScroll : in i, out i

gint test_deviced_PmQos_TizenStoreScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"TizenStoreScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed TizenStoreScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ContactScroll : in i, out i

gint test_deviced_PmQos_ContactScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ContactScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ContactScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// EmailScroll : in i, out i

gint test_deviced_PmQos_EmailScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"EmailScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed EmailScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// VideoScroll : in i, out i

gint test_deviced_PmQos_VideoScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"VideoScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed VideoScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// FileScroll : in i, out i

gint test_deviced_PmQos_FileScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"FileScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed FileScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// MusicScroll : in i, out i

gint test_deviced_PmQos_MusicScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"MusicScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed MusicScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// UgLaunch : in i, out i

gint test_deviced_PmQos_UgLaunch(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"UgLaunch",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed UgLaunch");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SensorWakeup : in i, out i

gint test_deviced_PmQos_SensorWakeup(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"SensorWakeup",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed SensorWakeup");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// WebAppFlick : in i, out i

gint test_deviced_PmQos_WebAppFlick(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"WebAppFlick",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed WebAppFlick");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// WebAppDrag : in i, out i

gint test_deviced_PmQos_WebAppDrag(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"WebAppDrag",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed WebAppDrag");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerOff : in i, out i

gint test_deviced_PmQos_PowerOff(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"PowerOff",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed PowerOff");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// WifiThroughput : in ii, out i

gint test_deviced_PmQos_WifiThroughput(gint param1, gint param2)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"WifiThroughput",
			g_variant_new("(ii)", param1, param2));;
	if (!ret) {
		_E("failed WifiThroughput");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// WebappLaunch : in i, out i

gint test_deviced_PmQos_WebappLaunch(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"WebappLaunch",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed WebappLaunch");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SVoice : in i, out i

gint test_deviced_PmQos_SVoice(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"SVoice",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed SVoice");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// SmemoZoom : in i, out i

gint test_deviced_PmQos_SmemoZoom(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"SmemoZoom",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed SmemoZoom");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ScreenMirroring : in i, out i

gint test_deviced_PmQos_ScreenMirroring(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ScreenMirroring",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ScreenMirroring");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ReservedMode : in i, out i

gint test_deviced_PmQos_ReservedMode(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ReservedMode",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ReservedMode");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ProcessCrashed : in i, out i

gint test_deviced_PmQos_ProcessCrashed(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ProcessCrashed",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ProcessCrashed");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// PowerSaving : in i, out i

gint test_deviced_PmQos_PowerSaving(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"PowerSaving",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed PowerSaving");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// MusicPlayLcdOn : in i, out i

gint test_deviced_PmQos_MusicPlayLcdOn(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"MusicPlayLcdOn",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed MusicPlayLcdOn");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// MtpSendFile : in i, out i

gint test_deviced_PmQos_MtpSendFile(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"MtpSendFile",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed MtpSendFile");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// LowBattery : in i, out i

gint test_deviced_PmQos_LowBattery(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"LowBattery",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed LowBattery");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// LockScreen : in i, out i

gint test_deviced_PmQos_LockScreen(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"LockScreen",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed LockScreen");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// IMEInput : in i, out i

gint test_deviced_PmQos_IMEInput(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"IMEInput",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed IMEInput");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ImageViewer : in i, out i

gint test_deviced_PmQos_ImageViewer(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ImageViewer",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ImageViewer");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// HomeScreen : in i, out i

gint test_deviced_PmQos_HomeScreen(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"HomeScreen",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed HomeScreen");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GpuWakeup : in i, out i

gint test_deviced_PmQos_GpuWakeup(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GpuWakeup",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GpuWakeup");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GpuBoost : in i, out i

gint test_deviced_PmQos_GpuBoost(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GpuBoost",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GpuBoost");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GpsSerialCno : in i, out i

gint test_deviced_PmQos_GpsSerialCno(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GpsSerialCno",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GpsSerialCno");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GetDefaultLockTime : in , out i

gint test_deviced_PmQos_GetDefaultLockTime(void)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GetDefaultLockTime",
			NULL);;
	if (!ret) {
		_E("failed GetDefaultLockTime");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GalleryRotation : in i, out i

gint test_deviced_PmQos_GalleryRotation(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GalleryRotation",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GalleryRotation");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// GalleryScroll : in i, out i

gint test_deviced_PmQos_GalleryScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"GalleryScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed GalleryScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Emergency : in i, out i

gint test_deviced_PmQos_Emergency(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"Emergency",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed Emergency");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// ContactSearch : in i, out i

gint test_deviced_PmQos_ContactSearch(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"ContactSearch",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed ContactSearch");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CameraSoundAndShot : in i, out i

gint test_deviced_PmQos_CameraSoundAndShot(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CameraSoundAndShot",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CameraSoundAndShot");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CameraRecording : in i, out i

gint test_deviced_PmQos_CameraRecording(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CameraRecording",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CameraRecording");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CameraPreview : in i, out i

gint test_deviced_PmQos_CameraPreview(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CameraPreview",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CameraPreview");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CameraCaptureAtRec : in i, out i

gint test_deviced_PmQos_CameraCaptureAtRec(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CameraCaptureAtRec",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CameraCaptureAtRec");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CameraBurstShot : in i, out i

gint test_deviced_PmQos_CameraBurstShot(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CameraBurstShot",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CameraBurstShot");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// CallSound : in i, out i

gint test_deviced_PmQos_CallSound(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"CallSound",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed CallSound");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BrowserScroll : in i, out i

gint test_deviced_PmQos_BrowserScroll(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"BrowserScroll",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed BrowserScroll");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BrowserLoading : in i, out i

gint test_deviced_PmQos_BrowserLoading(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"BrowserLoading",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed BrowserLoading");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BrowserJavaScript : in i, out i

gint test_deviced_PmQos_BrowserJavaScript(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"BrowserJavaScript",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed BrowserJavaScript");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BrowserDash : in i, out i

gint test_deviced_PmQos_BrowserDash(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"BrowserDash",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed BrowserDash");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// Browser : in i, out i

gint test_deviced_PmQos_Browser(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"Browser",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed Browser");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// BeautyShot : in i, out i

gint test_deviced_PmQos_BeautyShot(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"BeautyShot",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed BeautyShot");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// AppLaunchHome : in i, out i

gint test_deviced_PmQos_AppLaunchHome(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"AppLaunchHome",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed AppLaunchHome");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}

// AppLaunch : in i, out i

gint test_deviced_PmQos_AppLaunch(gint param1)
{
	gint val1;
	GVariant *ret;

	ret = dbus_handle_method_sync_with_reply_var("org.tizen.system.deviced",
			"/Org/Tizen/System/DeviceD/PmQos",
			"org.tizen.system.deviced.PmQos",
			"AppLaunch",
			g_variant_new("(i)", param1));;
	if (!ret) {
		_E("failed AppLaunch");
		return 0;
	}

	g_variant_get(ret, "(i)", &val1);
	g_variant_unref(ret);

	return val1;
}